Bug 894381 - memory cache is not updated after user is deleted from ldb cache
Summary: memory cache is not updated after user is deleted from ldb cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 902691
TreeView+ depends on / blocked
 
Reported: 2013-01-11 15:49 UTC by Kaushik Banerjee
Modified: 2020-05-02 17:13 UTC (History)
6 users (show)

Fixed In Version: sssd-1.9.2-74.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:43:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2799 None None None 2020-05-02 17:13:58 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Kaushik Banerjee 2013-01-11 15:49:08 UTC
Description of problem:
memory cache is not updated after user is deleted from ldb cache

Version-Release number of selected component (if applicable):
1.9.2-68

How reproducible:
Always

Steps to Reproduce:
1. # id puser1
uid=2001(puser1) gid=2001 groups=2001

2. Delete puser1 from ldap server

3. # ssh -l puser1 localhost
puser1@localhost's password:
Permission denied, please try again.
puser1@localhost's password:

4. # id puser1
uid=2001(puser1) gid=2001 groups=2001   <== Should not work
  
Actual results:
ldbsearch shows that the user is deleted from cache. It seems the user exists in the memory cache.

Expected results:
User should also be removed from memory cache.

Additional info:

Comment 3 Jakub Hrozek 2013-01-11 17:43:58 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1757

Comment 5 Kaushik Banerjee 2013-01-20 15:23:13 UTC
Verified in version 1.9.2-74

Output for beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: bz678410 and bz894381 id command shows recently deleted users
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

adding new entry "uid=user_deltest,dc=example,dc=com"
modify complete

uid=123998(user_deltest) gid=123998 groups=123998
:: [   PASS   ] :: Running 'id user_deltest'
spawn ssh -q -l user_deltest localhost echo 'login successful'
user_deltest@localhost's password: 
login successful
:: [   PASS   ] :: Authentication successful, as expected
:: [   PASS   ] :: Running 'auth_success user_deltest Secret123'

deleting entry "uid=user_deltest,dc=example,dc=com"

uid=123998(user_deltest) gid=123998 groups=123998
:: [   PASS   ] :: Running 'id user_deltest'
mode of `/tmp/user_auth.sh' changed to 0755 (rwxr-xr-x)
:: [   PASS   ] :: Running 'chmod -v +x /tmp/user_auth.sh'
spawn ssh -o StrictHostKeyChecking=no -l user_deltest localhost
user_deltest@localhost's password: 
Permission denied, please try again.

user_deltest@localhost's password: 
:: [   PASS   ] :: Running '/tmp/user_auth.sh'
id: user_deltest: No such user
:: [   PASS   ] :: id lookup fails since user is deleted and cache is updated
'206eb391-c292-48e0-bd9e-b7d065e453a5'
bz678410-and-bz894381-id-command-shows-recently-deleted-users result: PASS

Comment 6 errata-xmlrpc 2013-02-21 09:43:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.